Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class EmptySHNStrategy

    java.lang.Object
      org.mindswap.pellet.CompletionStrategy
          org.mindswap.pellet.SROIQStrategy
              org.mindswap.pellet.SHOIQStrategy
                  org.mindswap.pellet.EmptySHNStrategy

    public class EmptySHNStrategy

extends SHOIQStrategy

Completion strategy for a SHN KB that does not have individuals in the ABox. When ABox is empty completion always starts with a single root individual that represents the concept whose satisfiability is being searched. Since there are no inverse roles in SHN completion starts with root node and moves towards the leaves. Once a node's satisfiability has been established there is no need to reevaluate that value.

Author:
  Evren Sirin

Field Summary
`static int` | `ADD`
`static int` | `ALL`
`static int` | `FAIL`
`static int` | `HIT`
`static int` | `MISS`
`static int` | `NONE`
`static int` | `SHOW_CACHE_INFO`

Fields inherited from class org.mindswap.pellet.CompletionStrategy
`log`

Constructor Summary
`EmptySHNStrategy(ABox abox)`

Method Summary
`void` | `initialize()`
`void` | `restore(org.mindswap.pellet.Branch br)`

Methods inherited from class org.mindswap.pellet.CompletionStrategy
`addEdge, addType, getInitializeIterator, mergeTo, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### HIT

    public static final int HIT

See Also:
  Constant Field Values

### MISS

    public static final int MISS

See Also:
  Constant Field Values

### FAIL

    public static final int FAIL

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### ALL

    public static final int ALL

See Also:
  Constant Field Values

### SHOW_CACHE_INFO

    public static int SHOW_CACHE_INFO

Constructor Detail

### EmptySHNStrategy

    public EmptySHNStrategy(ABox abox)

Method Detail

### initialize

    public void initialize()

  Overrides:
    `initialize` in class `CompletionStrategy`

### restore

    public void restore(org.mindswap.pellet.Branch br)

  Overrides:
    `restore` in class `CompletionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.